/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */

package bandit;

import bandit.View.ZahlenView;
import bandit.Schnittstelle.WertAdapter;
import bandit.Schnittstelle.StartStopController;
import bandit.Model.Zahlengenerator;
import javax.swing.JOptionPane;
import javax.swing.UIManager;

/**
 * Builder Class
 * @author le
 */
public class Start
{
  public Start()
  {
    ZahlenView view = new ZahlenView();
    Zahlengenerator model = new Zahlengenerator();
    StartStopController controller = new StartStopController(view, model);
    WertAdapter adapter = new WertAdapter(view, model);
    
    controller.registerEvents();
    model.addWertSubscription(adapter);
    view.setVisible(true);
    view.pack();

  }

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) 
  {
    try
    {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch (Exception ex)
    {
      JOptionPane.showMessageDialog(null, ex.toString());
    }
    new Start();
  }
}
